package org.processmining.processtree;

import java.util.Collection;


public interface Edge extends ProcessTreeElement {

	public Block getSource();
	
	public void setSource(Block source);

	public Node getTarget();
	
	public void setTarget(Node target);

	public Expression getExpression();
	
	public void setExpression(Expression expression);
	
	public Collection<Expression> getExpressions();
	
	public Collection<Expression> getRemovableExpressions();

	public boolean hasExpression();

	public boolean isBlockable();

	public boolean isHideable();

	public void setBlockable(boolean blockeable);

	public void setHideable(boolean hideable);
}
