package org.processmining.processtree.arrays.exporting;

import java.io.File;

import org.processmining.contexts.uitopia.annotations.UIExportPlugin;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.processtree.arrays.ProcessTreeArray;

@Plugin(name = "Process Tree Array", returnLabels = {}, returnTypes = {}, parameterLabels = {
		"Process Tree Array", "File" }, userAccessible = true)
@UIExportPlugin(description = "Process Tree Array", extension = "ptmla")
public class ExportProcessTreeArray {
	@PluginVariant(variantLabel = "Process Tree Array", requiredParameterLabels = { 0, 1 })
	public void export(PluginContext context, ProcessTreeArray pta, File file) throws Exception {
		pta.exportToFile(context, file);
	}
}
