package org.processmining.processtree.configuration.impl;

import org.processmining.processtree.ProcessTree;
import org.processmining.processtree.configuration.Configuration;
import org.processmining.processtree.configuration.controlflow.ControlFlowConfiguration;
import org.processmining.processtree.configuration.data.DataConfiguration;
import org.processmining.processtree.configuration.originator.OriginatorConfiguration;

/**
 * 
 * @author DSchunse
 */
public class ConfigurationImpl implements Configuration {
	
	ControlFlowConfiguration controlFlowConfiguration;
	OriginatorConfiguration originatorConfiguration;
	DataConfiguration dataConfiguration;
	
	public ConfigurationImpl() {

	}
	
	public void setControlFlowConfiguration(ControlFlowConfiguration controlFlowConfiguration) {
		this.controlFlowConfiguration = controlFlowConfiguration;
		
	}

	public ControlFlowConfiguration getControlFlowConfiguration() {
		return controlFlowConfiguration;
	}

	public void setOriginatorConfiguration(OriginatorConfiguration originatorConfiguration) {
		this.originatorConfiguration = originatorConfiguration;
	}

	public OriginatorConfiguration getOriginatorConfiguration() {
		return originatorConfiguration;
	}

	public void setDataConfiguration(DataConfiguration dataConfiguration) {
		this.dataConfiguration = dataConfiguration;
	}

	public DataConfiguration getDataConfiguration() {
		return dataConfiguration;
	}	

	public String toString() {
		return toString(null);
	}

	/**
	 * Special version of the toString method where the UUIDs are searched for
	 * in the provided process tree (NULL allowed) and the appropriate toString
	 * method is called for a more intuitive string result
	 * 
	 * @param pt
	 * @return
	 */
	public String toString(ProcessTree pt) {
		StringBuilder str = new StringBuilder();

		
		return str.toString();
	}
}
