package org.processmining.processtree.ptml;

import java.util.Map;
import java.util.UUID;

import org.processmining.processtree.Node;
import org.processmining.processtree.ProcessTree;
import org.processmining.processtree.Task;
import org.processmining.processtree.impl.AbstractTask;

public class PtmlManual extends PtmlTask {
	
	public final static String TAG = "manualTask";
	
	public PtmlManual(UUID id) {
		super(TAG, id);
	}

	public void unmarshall(ProcessTree tree, Map<UUID, Node> map) {
		Task task = new AbstractTask.Manual(id, name);
		unmarshall(tree, map, task);
	}
}
