package org.processmining.processtree.ptml;

import java.util.Map;
import java.util.UUID;

import org.processmining.processtree.Block.XorLoop;
import org.processmining.processtree.Node;
import org.processmining.processtree.ProcessTree;
import org.processmining.processtree.impl.AbstractBlock;

public class PtmlXorLoop extends PtmlBlock {

	public final static String TAG = "xorLoop";

	public PtmlXorLoop(UUID id) {
		super(TAG, id);
	}

	public void unmarshall(ProcessTree tree, Map<UUID, Node> map) {
		XorLoop node = new AbstractBlock.XorLoop(id, name);
		node.setChangeable(changeable);
		unmarshall(tree, map, node);
	}
}
