package org.processmining.processtree.visualization.data;

import java.awt.Component;

import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.plaf.basic.BasicComboBoxRenderer;

import org.processmining.processtree.ProcessTreeElement;

public class ContextComboBoxRenderer extends BasicComboBoxRenderer {
	private static final long serialVersionUID = 1L;

	@SuppressWarnings("rawtypes")
	public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {
		BasicComboBoxRenderer combo = new BasicComboBoxRenderer();
		JLabel label = (JLabel) combo.getListCellRendererComponent(list, value, index, isSelected, cellHasFocus);
		label.setText(((ProcessTreeElement)value).getName() + " " + ((ProcessTreeElement)value).getID());
		return label;
	}

}
