package org.processmining.processtree.visualization.jgraph;

import org.jgraph.graph.CellViewRenderer;
import org.jgraph.graph.EdgeRenderer;
import org.jgraph.graph.EdgeView;

public class ConfigurableEdgeView extends EdgeView {

	private static final long serialVersionUID = -1380825390120370952L;
	protected static final EdgeRenderer renderer = new ConfigurableEdgeRenderer();

	public ConfigurableEdgeView(Object edge) {
		super(edge);
	}

	/**
	 * Returns a renderer for the class.
	 */
	public CellViewRenderer getRenderer() {
		return renderer;
	}

}
